cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
LKS
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 11 of 14

Re: Upgrade EPO 5.1.1 to 5.3.3 and 5.10

I checked your log files however i see that you have not uploaded complete set of logs from %TEMP% directory, hence am unable to conclude the solution.

i see a very generic error in MSI log.

[ErrorLog]
ErrorString=FAILURE: In LaunchAppAndWait while trying to run the following program:
ActionName=MerMod_RunOrionANTInstaller
"C:\PROGRA~2\McAfee\EPOLIC~1\Installer\Core\install.bat"

Return code: 1
Error Message: Incorrect function.

CustomAction: MerMod_RunOrionANTInstaller

However the below error seems the password for the ePO console supplied to the installer appears to have been wrong.

17:59:21 EPO530CALog: Start executeExternalCommand()
17:59:50 EPO530CALog: FAILURE: In LaunchApplication while trying to run the following program:
"C:\Users\ITSUPP~1\AppData\Local\Temp\McAfeeLogs\EPO530-Troubleshoot\OutputFiles\VerifyMFSCoreStarted.bat"

Return code: 1
17:59:50 EPO530CALog: End executeExternalCommand()
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: Nov 28, 2019 5:59:50 PM org.apache.commons.httpclient.auth.AuthChallengeProcessor selectAuthScheme
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: INFO: Basic authentication scheme selected
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: Nov 28, 2019 5:59:50 PM org.apache.commons.httpclient.HttpMethodDirector processWWWAuthChallenge
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: INFO: Failure authenticating with BASIC 'Orion remote command realm'XXXXXXXXX:8443 ( i substituted with X as it contains sensitive information)
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: Error encountered while running command:core.get-status
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err:
17:59:50 EPO530CALog: VerifyMFSCoreStarted.err: java.io.IOException: POST Command got unexpected HTTP Status:401
17:59:50 EPO530CALog: End runRemoteClentCommand(VerifyMFSCoreStarted,...) returnCode=1

What happenes when you run the below command on ePO server browser
https://servername:8443/remote/core.get-status

Also please sanitize the log file before you upload to public forum.

DuongLe
Level 9
Report Inappropriate Content
Message 12 of 14

Re: Upgrade EPO 5.1.1 to 5.3.3 and 5.10

Thank you for you answer.
This is result when I run that command:
OK:
init:true OK, multitenant:false, maintenance:false

I sure the password is corrected. 
When I run installer, It nearly completed, EPO 5.3.3 appeared then disappeared, and the installer rollback. The install was not complete and unsuccessfull.
I sent full Log in link. Please check it. Many thanks.
https://drive.google.com/open?id=1BNYA041trt-75-HZpYDY-Ua_zGE1MN0e

rgc
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 13 of 14

Re: Upgrade EPO 5.1.1 to 5.3.3 and 5.10

Hello,

I checked the new set of logs, where I can see you were trying to upgrade 5.1.1 to 5.3.3 directly.


I could see the errors with premaster, this comes when the ciphers is not in correct order.


backup-config:

export-orion-key:
[echo] Previous JRE path is: C:/PROGRA~2/McAfee/~epo.bak/JRE

import-orion-key:

test-db:

BUILD FAILED
C:\Program Files (x86)\McAfee\ePolicy Orchestrator\Installer\core\build.xml:1212: Network error IOException: Error creating premaster secret.

Total time: 24 seconds


The best way to suggest to reach 5.10, to start with new install and redeploy the agents.... to suggest this is last resort, can you share answers to all my queries as below.

This helps to explain the simplest way to reach ePO 5.10




1) What is the EPO version & Patch?
2) What is the SQL version and service pack?
3) Is the database full or express version, is DB on same or remote server ?
4) What is the size of EPO DB ?
5) How many machines are managed with EPO ?
6) What are point products & version/build number ? (Ex: VSE, Agent, DLP, EEPC & more) ?
7) What is the operating system & service pack it is 32 or 64 bit OS?
😎 All the machines managed with ePO are member of domain ?




Was my reply helpful?
If you find this post useful, Please give it a Kudos! Also, Please don't forget to select "Accept as a solution" if this reply resolves your query!


Raghavendra GC - [RGC]
cdinet
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 14 of 14

Re: Upgrade EPO 5.1.1 to 5.3.3 and 5.10

With this error, I would suggest running IISCrypto on the sql and epo servers, choose best practices, then reboot to ensure that the ciphers are correct.  Error creating premaster secret

However, you also have to be sure that your version of sql server supports tls 1.2.  You may need to patch your sql server.  

 

 

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community